/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/better.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include<stdio.h>
#include <math.h>
#include "yagi.h"
/* better.c This function compares new and old ferformance of a yagi to see if
its better. */ 

is_it_better(int criteria, double new_gain, double new_fb_ratio, double old_gain, double old_fb_ratio, double new_reactance, double old_reactance, double new_resistance, double old_resistance) 
{
	double resistance_error;
	resistance_error=fabs(new_resistance-Z0)-fabs(old_resistance-Z0);
	if(fabs(new_resistance-Z0)< 2.0)
		resistance_error=0;

	if(criteria==ALL)
	{
		if( new_fb_ratio > 25 ) /* 25dB is good enough */
			new_fb_ratio=99999999;
		if(fabs(new_reactance) < 2.0) 
			new_reactance=0.0;
		if((fabs(new_reactance) <= fabs(old_reactance)) && 
		(new_gain>= old_gain) && (new_fb_ratio >= old_fb_ratio) &&
		(resistance_error <= 0 ) )
			return(TRUE);
		else
			return(FALSE);
	}
	else if(criteria==GAIN)
	{
		if(new_gain > old_gain)
			return(TRUE);
		else
			return(FALSE);
	}
	else if(criteria==FB_RATIO)
	{
		if(new_fb_ratio > old_fb_ratio)
			return(TRUE);
		else
			return(FALSE);
	}
	else if(criteria==GAIN_AND_FB_RATIO)
	{
		if((new_fb_ratio >=old_fb_ratio) && (new_gain>=old_gain))
			return(TRUE);
		else
			return(FALSE);
	}
	else if(criteria==RESONANCE)
	{
		if(fabs(new_reactance) < fabs(old_reactance))
			return(TRUE);
		else
			return(FALSE);
	}
	else if(criteria==RESISTANCE)
	{
		
		resistance_error=fabs(new_resistance-Z0)-fabs(old_resistance-Z0);
		if(resistance_error <= 0)
			return(TRUE);
		else
			return(FALSE);
	}
	else if(criteria==RESISTANCE_AND_GAIN_AND_FB)
	{
		if( new_fb_ratio > 25 )
			new_fb_ratio=9999999;
		if(new_reactance < 100.0)
			new_reactance=0.0;
		if((fabs(new_reactance) <= fabs(old_reactance)) && 
		(resistance_error <= 0) && 
		(new_gain>= old_gain) && (new_fb_ratio > old_fb_ratio) )
			return(TRUE);
		else
			return(FALSE);
	}
	else if(criteria==RESISTANCE_AND_GAIN)
	{
		if( (resistance_error <= 0.0 ) && 
		(new_gain>= old_gain) )
			return(TRUE);
		else
			return(FALSE);
	}
}

