/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/header.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include "yagi.h"

void write_header_to_disk(FILE *ofp, int elements, int driven,
int parasitic, double min_frequency, double max_frequency, double frequency,
double step_frequency, double angular_step)
{
	int b=0;
	fwrite((char *) &elements, sizeof(elements), 1, ofp);
	fwrite((char *) &driven, sizeof(driven), 1, ofp);
	fwrite((char *) &parasitic, sizeof(parasitic), 1, ofp);
	fwrite((char *)&min_frequency, sizeof(min_frequency), 1, ofp);
	fwrite((char *)&max_frequency,sizeof(max_frequency), 1, ofp);
	fwrite((char *)&frequency, sizeof(frequency), 1, ofp);
	fwrite((char *)&step_frequency, sizeof(step_frequency), 1, ofp);
	fwrite((char *)&angular_step, sizeof(angular_step), 1, ofp);
	fseek(ofp, HEADER_SIZE,SEEK_SET);
}
