/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/nr_hack.h
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

/* Here are the prototypes of the routines that are in the book 'Numerical
recipes in C' by Press et al, 1992. All references to 'float' in that book 
have been changed to 'double' here. Hence the definitions are not the same.
ie a routine:
				 void cisi(float x, float *ci, float *si);

has been changed to:

             void cisi(double x, double *ci, double *si);

Hence all the C routines used here *must* be converted to double. Please *dont*
use the numerical recipes header file 'nr.h', use my 'nr_hacked.h' */


void lubksb(double **a, int n, int *indx, double b[]); 
void ludcmp(double **a, int n, int *indx, double *d); 
void cisi(double x, double *ci, double *si); 

/* END OF NUMERICAL RECIPES ROUTINES */
