/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/refco.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include <math.h>
#include "yagi.h"

void reflection_coefficient(FCOMPLEX zi, double *magnitude, double *phase)
{
	struct FCOMPLEX zo, rho;

	/* reflection coefficient rho = (Zi-Zo)/(Zi+Zo) */
	zo.r=Z0;
	zo.i=0;
	rho=Cdiv(Csub(zi, zo), Cadd(zi,zo));
	*magnitude=Cabs(rho);
	*phase=atan(rho.i/rho.r);
}
