/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/v.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include <math.h>
#include "yagi.h"

void fill_v_vector(int driven, int parasitic, double **driven_data, double *v)
{
	double real, imaginary;
	int i, elements=driven+parasitic;

	for(i=1;i<=elements;i++)		/* fill driven elements */
	{
		if(i<=driven)
		{
			real      = driven_data[i][VOLTAGE]*cos(driven_data[i][PHASE]);
			imaginary = driven_data[i][VOLTAGE]*sin(driven_data[i][PHASE]);
			v[2*i-1]=real;
			v[2*i]=imaginary;
		}
		else  /* zero parasitic elements */
		{
			v[2*i-1]=0.0;
			v[2*i]=0.0;
		}
	}
}
