/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/write_gain.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include <math.h>
#include "yagi.h"

void write_gain_at_various_angles(FILE *gain_fp, double angular_step, double pin, double normalised_f, double f, struct element_data *coordinates, struct FCOMPLEX *current, int elements, double design_f)
{
	double theta, phi, gain_E_plane, gain_H_plane, E_plane_gain, H_plane_gain;
	double peak_gain;
	static int run_first_time=0;
		fprintf(gain_fp,"   f(MHz)     theta   gain-H(dBi)  G(xy)-peak   phi    gain-E(dBi) G(xz)-peak\n");
		run_first_time=1;
	gain(90.0,0,pin,normalised_f,coordinates, current, elements, &gain_E_plane, &peak_gain, f, design_f);
	for(phi=0;phi <=180;phi+=angular_step)
	{
			theta=90+phi; /* 	Just helps program a bit. I'm not saying it is!! */
			/* compute gain(phi, 90) */

			gain(90.0,phi,pin,normalised_f,coordinates, current, elements, &gain_E_plane, &gain_H_plane, f, design_f);

			H_plane_gain=gain_H_plane;

			theta=90+phi; /* 	Just helps program a bit. I'm not saying it is!! */
			/* compute gain(theta,0) where thete =90-270 degrees */
			gain(theta,0,pin,normalised_f,coordinates, current, elements, &gain_E_plane, &gain_H_plane, f, design_f);
			E_plane_gain=gain_E_plane;
			fprintf(gain_fp,"%10.4lf %10.4lf %10.4lf %10.4lf %10.4lf %10.4lf %10.4lf\n",f/1e6, theta, E_plane_gain, E_plane_gain-peak_gain, phi, H_plane_gain, H_plane_gain-peak_gain);
	}
}

