/* 
-------------------------------------------------------------------------------
/home/duke/davek/YagiUda-1.0/z.c
-------------------------------------------------------------------------------

This file is part of a set of source files for a suite of programs
for the analysis and optimisation of Yagi-Uda antennas. 

Name: YagiUda (executables are: 'input', 'yagi', 'output' and 'optimise' )

Written by: David Kirkby BSc MSc G8WRB (email:davek@medphys.ucl.ac.uk)

Version: 1.00

The complete distribution should be found in a file YagiUda-1.0.tar.Z, 
which will be found on ftp sites. Please e-mail me if you have problems
locating the latest version.

*/

#include <stdio.h>
#include "yagi.h"
/* We calculate the full Z matrix. Since the matrix is symmetrical, we only
need compute Z_i,j for j=1 to i. The function mutual, filles in Zji, when
we ask it to fill in Zij. */

void fill_z_matrix(double frequency, int driven, int parasitic, double **d, double **p, double **impedance)
{

	int i,j, elements=driven+parasitic;
	for(i=1;i<=elements;++i)			/* for every antenna element */
	{
		for(j=1;j<=i;++j)     
		{
			if(i==j)							 				/* Need self impedance */
			{
				if(i<=driven)
				{
					self_impedance(i, frequency, driven, parasitic, d, impedance);
				}
				else if (i > driven ) 					  /* parasitic element */
				{
					self_impedance(i, frequency, driven, parasitic, p, impedance);
				}
			}
			else if (i != j)		/* need mutual impedance */
			{
				 mutual_impedance(i,j,frequency,driven,parasitic, d, p, impedance); 
			}
		}
	}
}
